>From f38b13b364996556f87169b4cc0e7ce6f9ba48c4 Mon Sep 17 00:00:00 2001
From: Roumen Petrov <xmlsec@roumenpetrov.info>
Date: Sat, 10 Jun 2017 13:58:05 -0400
Subject: [PATCH 7/7] partially revert "Cleanup remaining errors;.." in
 certkeys.c

---
 src/mscrypto/certkeys.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/src/mscrypto/certkeys.c b/src/mscrypto/certkeys.c
index 439f6c2..690ff95 100644
--- a/src/mscrypto/certkeys.c
+++ b/src/mscrypto/certkeys.c
@@ -899,9 +899,11 @@ xmlSecMSCryptoCertAdopt(PCCERT_CONTEXT pCert, xmlSecKeyDataType type) {
 #endif /* XMLSEC_NO_GOST*/
 
     if (NULL == data) {
-        xmlSecInvalidIntegerTypeError("PCCERT_CONTEXT key type",
-                pCert->pCertInfo->SubjectPublicKeyInfo.Algorithm.pszObjId,
-                "supported keytype", NULL);
+        xmlSecError(XMLSEC_ERRORS_HERE,
+                    NULL,
+                    NULL,
+                    XMLSEC_ERRORS_R_INVALID_TYPE,
+                    "PCCERT_CONTEXT key type %s not supported", pCert->pCertInfo->SubjectPublicKeyInfo.Algorithm.pszObjId);
         return(NULL);
     }
 
-- 
1.8.3.1

